import { Injectable,Inject } from '@nestjs/common';

import { MessagePattern, Payload } from '@nestjs/microservices';
import { User } from './dto/user';
import { UserProcessor } from './processor/user';

@Injectable()
export class AppService {
  @Inject(UserProcessor)
  private readonly up: UserProcessor;

  counter: number = 0;
  aCounter: number = 0;

  handelStreamDataset(user: User) {
    this.counter += 1;
    console.log(this.counter);
    this.up.process(user)
  }
}
