import { Controller, Get } from '@nestjs/common';
import { MessagePattern, Payload } from '@nestjs/microservices';
import { AppService } from './app.service';
import { User } from './dto/user';

@Controller()
export class AppController {
  constructor(private readonly appService: AppService) {}


  @MessagePattern("FAKE-DATASET")
  handelStreamDataset(@Payload() user: User){
    this.appService.handelStreamDataset(user);
  }
}
